/*
	Site Officiel Association loi 1901 DicoLSF by AWA (www.dicolsf.com | @awa : 9/6/2026)
	css carousel license AWA (www.drone-awa.com/license)
	@import url(font-awesome.min.css); @import "https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400";

    Changer le lien : xmlns='http://www.w3.org/2000/svg'
*/

/* Carousel de Photos = 06carousel_simple */
#carousel-example-generic { 
    width: 100%; 
    height: auto;
    margin: 0 auto;
    /* Ombre autour de la Photo */

    /* box-shadow: 0 0 12px rgba(0,0,0,0.4); */

    /* forme arrondi border-radius: 6px 6px 6px 6px; */
    border-radius: 0.5em;
    font-family: "Calibri", Arial, Helvetica, "Source Sans Pro", sans-serif;
}


/* carousel fullscreen */
.carousel-fullscreen .carousel-inner {
    /* forme arrondi border-radius: 6px 6px 6px 6px; */
    border-radius: 0.5em;
}


/* carousel fullscreen */
.carousel-fullscreen .carousel-inner .carousel-item {
    /*height: 100vh;*/
    /*min-height: 600px;*/
    background-position: center center; 
    background-repeat: no-repeat; 
    background-size: cover;
}


/* carousel fullscreen - vertically centered caption */
.carousel-fullscreen .carousel-caption {
    top: 62%;  
    -webkit-transform: translate(0, -20%); 
    -ms-transform: translate(0, -20%); 
    transform: translate(0, -20%);

    position:absolute;
	left: 0; right: 0; bottom: -15px;
    padding-top: 0px;

	margin:0;
	/* border-top: 1px solid rgb(225,225,225); */
	text-align:center;
	letter-spacing: 0.05em;
	word-spacing: 0.05em;

    /* font-family: Georgia, Times, serif; */
	background: #fff;
	background: rgba(255,255,255,0.5);
	color: #555;
    text-shadow: -1px -1px 0 rgba(255,255,255,0.3);

    /* ... la propriété animation */
    animation: figcaptionner 32s infinite;
}


@keyframes figcaptionner {
	0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}   /*      Bandeau blanc pour animation       */
	5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 50px;		}   /* Bandeau blanc vis a vis du bas carousel */
}

@-webkit-keyframes figcaptionner {
	0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}
	5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 50px;		}
}

@-moz-keyframes figcaptionner {
	0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}
	5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 50px;		}
}

.carousel-fullscreen .carousel-caption h4 {
    font-size: 1.35rem;
}

.carousel-fullscreen .carousel-caption p {
    font-size: 1.45rem;
    font-weight: bold;
    color: rgb(0, 0, 0, 1);

    font-family: "Calibri", Arial, Helvetica, "Source Sans Pro", sans-serif;
}



/* Wide */
@media screen and (max-width: 1680px) {
    .carousel-fullscreen .carousel-caption h4 {
        font-size: 1.55rem;
    }
}


/* Normal */
@media screen and (max-width: 1280px) {
    .carousel-fullscreen .carousel-caption h4 {
        font-size: 1.35rem;
    }

    .carousel-fullscreen .carousel-caption p {
        font-size: 1.15rem;
    }

    @keyframes figcaptionner {
        0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}   /*      Bandeau blanc pour animation       */
        5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 40px;		}   /* Bandeau blanc vis a vis du bas carousel */
    }

    @-webkit-keyframes figcaptionner {
        0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}
        5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 40px;		}
    }

    @-moz-keyframes figcaptionner {
        0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}
        5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 40px;		}
    }
}



/* Ordi 15" */
@media screen and (max-width: 1120px) {
    .carousel-fullscreen .carousel-caption p {
        font-size: 0rem;
    }

    @keyframes figcaptionner {
        0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}   /*      Bandeau blanc pour animation       */
        5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 45px;		}   /* Bandeau blanc vis a vis du bas carousel */
    }

    @-webkit-keyframes figcaptionner {
        0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}
        5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 45px;		}
    }

    @-moz-keyframes figcaptionner {
        0%, 25%, 50%, 75%, 100%						{ bottom: -155px;	}
        5%, 20%, 30%, 45%, 55%, 70%, 80%, 95%		{ bottom: 45px;		}
    }
}


/* Narrow */
@media screen and (max-width: 980px) {
    .carousel-fullscreen .carousel-caption p {
        font-size: 0rem;
    }
}


/* Narrower */
@media screen and (max-width: 840px) {
    .carousel-fullscreen .carousel-caption p {
        font-size: 1.45rem;
    }
}


/* Portrait et Mobile */
@media screen and (min-width: 480px) and (max-width: 736px) {
    /* carousel fullscreen - vertically centered caption */
    .carousel-fullscreen .carousel-caption {
	    background: rgba(255,255,255,0);
    }

    .carousel-fullscreen .carousel-caption h4 {
        font-size: 0rem;
    }

    .carousel-fullscreen .carousel-caption p {
        font-size: 0rem;
    }
}


.carousel-control-prev, .carousel-control-next {
  position: absolute;
  top: 0;
  bottom: 0;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;


  /* Modifier la position des Flèches */
  width:15%;               /* Décalage du bord */
  height: auto;            /* Décalage du haut si auto alors centrer */


  text-align:center;
  opacity: 0.5;
  /*color : #EFCA81;              color : #FF6600;*/           
  color : #9900CC;
}

.carousel-control-prev {
  left: 0;
}

.carousel-control-next {
  right: 0;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  display: inline-block;
  width: 2.1rem;
  height: 2.1rem;
  background: transparent no-repeat center center;
  background-size: 100% 100%;
}

/* Modifier la couleur des < > avec fill fff = blanc  ou fill='%239900CC' = Violet */
.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%239900CC' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%239900CC' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
}

.carousel-control-prev:hover, .carousel-control-prev:focus,
.carousel-control-next:hover, .carousel-control-next:focus {
  /*color : #EFCA81;              color : #FF6600;*/              
  color : #9900CC;
  text-decoration: none;
  outline: 0;
  opacity: .9;
}



/* Diaporama avec bouton en bas pour la position de la diapo */
.carousel-indicators li {
    position: relative;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;

    /* Format des btn en Bas */
    width: 20px;
    height: 20px;

    margin-right: 3px;
    margin-left: 3px;
    text-indent: -999px;
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0.5);

    /* forme arrondi border-radius: 6px 6px 6px 6px; */
    border-radius: 10em;

	/* gérer des bords arrondis */
	-moz-border-top-right-radius: 6px; 
    -webkit-border-top-right-radius: 6px; 
    border-top-right-radius: 6px;
	-moz-border-top-left-radius: 6px; 
    -webkit-border-top-left-radius: 6px; 
    border-top-left-radius: 6px;
	-moz-border-bottom-right-radius: 6px; 
    -webkit-border-bottom-right-radius: 6px; 
    border-bottom-right-radius: 6px;
	-moz-border-bottom-left-radius: 6px; 
    -webkit-border-bottom-left-radius: 6px; 
    border-bottom-left-radius: 6px;
}

  .carousel-indicators li::before {
    position: absolute;
    top: -10px;
    left: 0;
    display: inline-block;
    width: 100%;
    height: 10px;
    content: "";
  }

  .carousel-indicators li::after {
    position: absolute;
    bottom: -10px;
    left: 0;
    display: inline-block;
    width: 100%;
    height: 10px;
    content: "";
  }

  .carousel-indicators .active {
    background-color: #EFCA81;

    background-color:rgba(255, 102, 0, 0.85);							/* Orange : avec une opacité à 0,85 */
			box-shadow: inset 0 0 0 2px #FF6600;			/* Couleur Orange */
			box-shadow: inset 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
  }

/* overlay for better readibility of the caption */
.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.3;
    transition: all 0.2s ease-out;
}

.carousel .carousel-item {
    transition-duration: 1.5s;
}